<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema
  targetNamespace="http://autoquest.informatik.uni-goettingen.de"
  xmlns:tns="http://autoquest.informatik.uni-goettingen.de"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:jxb="http://java.sun.com/xml/ns/jaxb"
  jxb:version="2.0"
  elementFormDefault="qualified">
  
  <xsd:element name="smellDescriptions" type="tns:SmellDescriptions" />

  <xsd:complexType name="SmellDescriptions">
    <xsd:sequence>
      <xsd:element name="smellDescription" type="tns:SmellDescription" maxOccurs="unbounded" />
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="SmellDescription">
    <xsd:choice maxOccurs="unbounded">
      <xsd:element name="textFragment" type="tns:SimpleFragment" />
      <xsd:element name="parameterFragment" type="tns:ParameterFragment" />
    </xsd:choice>
    <xsd:attribute name="smellId" type="xsd:string" use="required" />
    <xsd:attribute name="briefText" type="xsd:string" use="required" />
  </xsd:complexType>

  <xsd:simpleType name="SimpleFragment">
    <xsd:restriction base="xsd:string"/>
  </xsd:simpleType>

  <xsd:complexType name="ParameterFragment">
    <xsd:attribute name="parameterName" use="required" type="xsd:string" />
  </xsd:complexType>

</xsd:schema>